Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 962880 - PRD35 - [RFE] when viewing a grid that contains only one item, *automatically* select that item
Summary: PRD35 - [RFE] when viewing a grid that contains only one item, *automatically...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.0.7
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Alexander Wels
QA Contact: movciari
URL:
Whiteboard: ux
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-05-14 16:49 UTC by Kevin Clevenger
Modified: 2019-03-22 07:08 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Enhancement
Doc Text:
With this enhancement, when a grid is loaded and it contains only one item and it can be selected, the system will automatically select that item and display the detailed information of that item. This feature saves the user from manually clicking the item.
Clone Of:
: 1110566 (view as bug list)
Environment:
Last Closed: 2015-02-11 17:53:15 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 26431 None None None Never
Red Hat Bugzilla 958309 None None None 2019-03-22 15:04:17 UTC

Comment 2 Einav Cohen 2013-12-11 01:13:40 UTC
this is seemingly a simple change, however I am afraid of potential pitfalls here, so we need to make sure that we will well-define the correct behavior. 

the main pitfalls that I can think of are: 

- what should happen if the selected item disappears from the grid (since it has been removed, or since the user changed the search string, etc.)? should the first item in the updated grid be selected automatically? or should the grid remain without a selected item?

- "tomorrow" we will add an option to auto-select a newly-added item (see bug 847066), which might not be the first item in the grid. if we will have something already selected, it might look weird that the selection will change all of a sudden once the newly-created item will be displayed in the grid. 
it can happen today as well, but today I assume that in a lot of the cases, the "New" dialog is being opened without anything selected in the grid before that; in this case, selecting the newly-created item once it appears makes sense. 
however, if we will address this BZ - we will *always* have something selected before creating the new item, so the somewhat-weird/unexpected behavior of selection change will always occur. 

- when explicitly de-selecting an item, leaving the grid without any selected items: I assume we want to keep it that way, and not automatically select the first item in the grid afterwards?

@Malini/Eldan - any additional thoughts / comments on the above?

Comment 3 Einav Cohen 2014-01-15 16:29:18 UTC
Kevin: we are thinking about auto-selecting an item once logging into the application (in the VMs main tab that is selected by default), and upon changing the selected tab; will that be sufficient?

Comment 9 Einav Cohen 2014-04-08 13:01:29 UTC
*** Bug 958309 has been marked as a duplicate of this bug. ***

Comment 10 Eldan Hildesheim 2014-06-15 09:08:20 UTC
If the selection comes from the tree and you select an Item -  yes it's logic.
We are even planning to make later on a splash screen to each entity selected from the tree and not to show only 1 line in a grid.

Comment 11 Einav Cohen 2014-10-10 23:03:41 UTC
*** Bug 962663 has been marked as a duplicate of this bug. ***

Comment 14 errata-xmlrpc 2015-02-11 17:53:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.